# frozen_string_literal: true

require 'drillbit/tokens/json_web_token'

module  Drillbit
module  Tokens
module  JsonWebTokens
class   PasswordReset < JsonWebToken
  def self.build(expiration: Time.now.utc.to_i + (30 * 60),
                 roles: ['password_reset'],
                 **attrs)

    super(expiration: expiration, roles: roles, **attrs)
  end
end
end
end
end
